API referenceMessages
PATCH /inbox/conversations/{id}
Archive or unarchive a conversation (Postgale only; a new inbound message makes it active again)
PATCH
BearerAuthheader
AuthorizationBearer <token>API key sk_...
id*stringConversation id
application/json- body
status*stringValue in
"active""archived"{conversation}
application/json- response
conversation?curl -X PATCH 'https://example.com/api/v1/inbox/conversations/string' \ -H 'Content-Type: application/json' \ -d '{ "status": "active"}'Example Response
{ "conversation": { "id": "string", "accountId": "string", "platform": "instagram", "platformConversationId": "string", "participant": { "id": "string", "username": "string", "name": "string", "pictureUrl": "string", "phone": "string", "userId": "string", "parentUserId": "string" }, "lastMessage": { "text": "string", "direction": "inbound", "at": "2019-08-24T14:15:22Z" }, "unreadCount": 0, "lastReadAt": "2019-08-24T14:15:22Z", "participantReadAt": "2019-08-24T14:15:22Z", "status": "active", "messagingWindow": { "open": true, "closesAt": "2019-08-24T14:15:22Z", "humanAgentClosesAt": "2019-08-24T14:15:22Z" }, "syncedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}